Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Get webhook

Get a webhook by ID for the current workspace.

GET/webhooks/{id}
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Path parameters
idstring<uuid>required

The unique identifier of the webhook

Responses
200

Webhook details

idstring<uuid>
namestring
urlstring<uri>
descriptionstring | null
headersobject | null
topicsstring[]
createdAtstring<date-time>
createdByWebhookCreatedBy

User who created the webhook

Show properties
idstring<uuid>
emailstring<email>
firstNamestring | null
lastNamestring | null
401

Unauthorized - Missing or invalid API key

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.tryordinal.com/api/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "id": "550e8400-e29b-41d4-a716-446655440900",
  "name": "CRM Sync",
  "url": "https://example.com/webhooks/ordinal",
  "description": "Sync published posts to our CRM",
  "headers": {
    "X-Custom-Header": "value"
  },
  "topics": [
    "post.published",
    "post.archived"
  ],
  "createdAt": "2026-01-15T10:00:00.000Z",
  "createdBy": {
    "id": "550e8400-e29b-41d4-a716-446655440010",
    "email": "john@acme.com",
    "firstName": "John",
    "lastName": "Doe"
  }
}